<?xml version="1.0" encoding="UTF-8"?>

<ROOT xmlns:xsi='http://www.w3.org/2001/XMLSchema-instance' xsi:noNamespaceSchemaLocation='http://www.oneit.com.au/schemas/5.2/BusinessObject.xsd'>

    <BUSINESSCLASS name="FactorQuestionLink"    package="performa.orm">
                
        <TABLE  name="tl_factor_lin"    tablePrefix="object"    polymorphic="FALSE">
            
            <ATTRIB name="ReverseScore" type="Boolean"  dbcol="reverse_score_flag"/>
                        
            <SINGLEREFERENCE    name="Factor"   type="Factor"   dbcol="factor_number"   backreferenceName="Questions"/>
            <SINGLEREFERENCE    name="Question" type="Question" dbcol="quest_number"    backreferenceName="Factors" />
            
        </TABLE>
        
        <SEARCH type="All"  paramFilter="tl_factor_lin.object_id is not null"   orderBy="tl_factor_lin.object_id"   />
        
    </BUSINESSCLASS>
    
</ROOT>